<template lang="pug">
  div.row.justify-center.items-end.q-pa-xl
    div.column.flex-1.q-pr-lg
      div.self-center.display-flex.circular--landscape
        img(src="../assets/bebe.png").self-center
      q-btn(color="secondary" text-color="white" glossy label="Criar Família" @click="$router.push('/novaFamilia')").q-my-xl
    div.column.flex-1.q-pl-lg
      q-input(color="black" bg-color="white" outlined v-model="codigo" label="Código da família").q-py-xs
      q-btn(color="secondary" text-color="white" glossy label="Ingressar em sua família" @click="entrarFamilia").q-my-xl
</template>

<script>
import { mapActions } from 'vuex'

export default {
  name: 'PrimeiroAcesso',
  components: {
  },
  data () {
    return {
      codigo: ''
    }
  },
  methods: {
    ...mapActions( 'family', [
      'entrar'
    ]),
    entrarFamilia () {
      this.entrar(this.codigo)
    }
  }
}
</script>

<style lang="stylus" scoped>
.width-80
  width 80%

.circular--landscape img {
  width: 100%;
  height: auto;
  // margin-left: -50px;
}
</style>